AnsweredAssumed Answered

Yocto meta-qt5 qtmultimedia - gstreamer doesn't play videos

Question asked by Riccardo Stronati on May 5, 2014
Latest reply on Jun 4, 2014 by Dmitry Fedotov
Hi all,

 

 

I have a problem wit qt5 and gstreamer.

 

I get qt 5.2.1 succesfully compiled with all module. I added packagegroup-fsl-gstreamer and also gstreamer get included.
If I use gplay I can play the video I need but when I run the videowidget from qdigia example I get all the video info printed but the video does not play.

 

I attach my image recipe:

DESCRIPTION = "Image test"
LICENSE = "CLOSED"

include recipes-graphics/images/core-image-x11.bb

DISTRO_FEATURES += " opengl x11 xcb pulseaudio "

IMAGE_FEATURES_append = " \
     debug-tweaks \
    nfs-server \
    ssh-server-openssh \
    x11 \
"
IMAGE_INSTALL_append = " \
    packagegroup-fsl-gstreamer \
    packagegroup-fsl-tools-testapps \
    packagegroup-my-custom \
     packagegroup-my-qt5 \   
    "

export IMAGE_BASENAME = "my-image"

 

The package group:

 

DESCRIPTION = "my package group"
LICENSE = "CLOSE"

inherit packagegroup

PROVIDES = "${PACKAGES}"

PACKAGES += "packagegroup-my-custom"
PACKAGES += "packagegroup-my-qt5"

RDEPENDS_packagegroup-my-custom = "\
    gst-plugins-base-app \
     gst-plugins-base \
    gst-plugins-good \
    gst-plugins-gl-opengl \
    gst-ffmpeg \
    tslib \
    tslib-conf \
    tslib-tests \
    tslib-calibrate \
    xf86-input-tslib \
    openssh-sftp-server \
     alsa-lib \
    alsa-tools \
    alsa-state \
    alsa-utils-alsaconf \
    coreutils \
    elfutils-dev \
    enca \
    gcc \
    libfaad \
    fribidi \
    libgcc \
    gmp \
    libice \
     libice-dev \
    libmpc \
    mpfr \
    libsm \
    libsm-dev \
    libx11 \
    libxcalibrate \
    libxext \
    libxinerama \
    libxmu \
    libxt \
    linux-libc-headers-dev \
     make \
    mkfontdir \
    mkfontscale \
    x11-common-dev \
    xextproto-dev \
    xproto-dev \
    xserver-xorg-dev \
    xserver-xorg-multimedia-modules \
    xserver-xorg-utils \ 
    openvpn \
     tar \
    i2c-tools \
    sqlite3 \
    x11vnc \
    libxcb \
    evtest \
    cairo \
    pango \
    fontconfig \
    freetype \
    pulseaudio \
    nano \
    cpufrequtils \
"
RDEPENDS_packagegroup-my-qt5 = "\
    icu \
    qtbase-fonts \
    qtbase-plugins \
    qtdeclarative \
    qtdeclarative-plugins \
    qtdeclarative-tools \
    qtdeclarative-qmlplugins \
     qtmultimedia \
    qtmultimedia-plugins \
    qtmultimedia-qmlplugins \
    qtsvg \
    qtsvg-plugins \
    qtx11extras \
    qtsensors \
    qtserialport \
    qtimageformats-plugins \
    qtsystems \
     qtsystems-tools \
    qtsystems-qmlplugins \
    qtscript \
    qtwebkit \
    qtwebkit-qmlplugins \
    qt3d \
    qt3d-qmlplugins \
    qt3d-tools \
    cinematicexperience \
"


And the qt config parameters in my config:

 

PACKAGECONFIG_append_pn-qtbase = " sql-sqlite gstreamer gst-plugins-base xcb accessibility pulseaudio gtkstyle "
PACKAGECONFIG_append_pn-qtmultimedia = " gstreamer010"

I see that also gstreamer1.0 has been included in the task list.

Thanks again.

Outcomes